Summary:	Various scripts for KDE development
Name:		kde-dev-scripts
Version:	17.12.3
Release:	1
Epoch:		1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5kdelibs4support-devel
Requires:	colorsvn
Suggests:	uncrustify-kf5
BuildArch:	noarch

%description
This package contains various scripts for KDE development.

%files
%{_kde5_bindir}/adddebug
%{_kde5_bindir}/build-progress.sh
%{_kde5_bindir}/cheatmake
%{_kde5_bindir}/c++-copy-class-and-file
%{_kde5_bindir}/c++-rename-class-and-file
%{_kde5_bindir}/create_cvsignore
%{_kde5_bindir}/create_makefile
%{_kde5_bindir}/create_makefiles
%{_kde5_bindir}/create_svnignore
%{_kde5_bindir}/cvs-clean
%{_kde5_bindir}/cvsaddcurrentdir
%{_kde5_bindir}/cvsbackport
%{_kde5_bindir}/cvsblame
%{_kde5_bindir}/cvscheck
%{_kde5_bindir}/cvsforwardport
%{_kde5_bindir}/cvslastchange
%{_kde5_bindir}/cvslastlog
%{_kde5_bindir}/cvsrevertlast
%{_kde5_bindir}/cvsversion
%{_kde5_bindir}/cxxmetric
%{_kde5_bindir}/draw_lib_dependencies
%{_kde5_bindir}/extend_dmalloc
%{_kde5_bindir}/extractattr
%{_kde5_bindir}/extractrc
%{_kde5_bindir}/findmissingcrystal
%{_kde5_bindir}/fix-include.sh
%{_kde5_bindir}/fixkdeincludes
%{_kde5_bindir}/fixuifiles
%{_kde5_bindir}/grantlee_strings_extractor.py
%{_kde5_bindir}/includemocs
%{_kde5_bindir}/kde_generate_export_header
%{_kde5_bindir}/kdedoc
%{_kde5_bindir}/kdekillall
%{_kde5_bindir}/kdelnk2desktop.py
%{_kde5_bindir}/kdemangen.pl
%{_kde5_bindir}/krazy-licensecheck
%{_kde5_bindir}/makeobj
%{_kde5_bindir}/noncvslist
%{_kde5_bindir}/nonsvnlist
%{_kde5_bindir}/package_crystalsvg
%{_kde5_bindir}/png2mng.pl
%{_kde5_bindir}/pruneemptydirs
%{_kde5_bindir}/qtdoc
%{_kde5_bindir}/reviewboard-am
%{_kde5_bindir}/svn-clean
%{_kde5_bindir}/svnbackport
%{_kde5_bindir}/svnchangesince
%{_kde5_bindir}/svngettags
%{_kde5_bindir}/svnintegrate
%{_kde5_bindir}/svnforwardport
%{_kde5_bindir}/svnlastchange
%{_kde5_bindir}/svnlastlog
%{_kde5_bindir}/svnrevertlast
%{_kde5_bindir}/svnversions
%{_kde5_bindir}/zonetab2pot.py
%{_kde5_bindir}/optimizegraphics
%{_kde5_bindir}/wcgrep
%{_kde5_bindir}/kde-systemsettings-tree.py
%{_kde5_mandir}/man1/adddebug.1.*
%{_kde5_mandir}/man1/cheatmake.1.*
%{_kde5_mandir}/man1/create_cvsignore.1.*
%{_kde5_mandir}/man1/create_makefile.1.*
%{_kde5_mandir}/man1/create_makefiles.1.*
%{_kde5_mandir}/man1/cvscheck.1.*
%{_kde5_mandir}/man1/cvslastchange.1.*
%{_kde5_mandir}/man1/cvslastlog.1.*
%{_kde5_mandir}/man1/cvsrevertlast.1.*
%{_kde5_mandir}/man1/cxxmetric.1.*
%{_kde5_mandir}/man1/extend_dmalloc.1.*
%{_kde5_mandir}/man1/extractrc.1.*
%{_kde5_mandir}/man1/fixincludes.1.*
%{_kde5_mandir}/man1/pruneemptydirs.1.*
%{_kde5_mandir}/man1/qtdoc.1.*
%{_kde5_mandir}/man1/reportview.1.*
%{_kde5_mandir}/man1/transxx.1.*
%{_kde5_mandir}/man1/zonetab2pot.py.1.*

#----------------------------------------------------------------------------

%package -n uncrustify-kf5
Summary:	KF5 support files for Uncrustify
Group:		Graphical desktop/KDE
Requires:	uncrustify

%description -n uncrustify-kf5
KF5 support files for Uncrustify. Apply KF5 coding style to all C, C++ and
header files in and below the current directory

%files -n uncrustify-kf5
%{_kde5_bindir}/uncrustify-kf5
%{_kde5_datadir}/uncrustify/uncrustify-kf5.cfg
%{_kde5_datadir}/uncrustify/uncrustify-qt.cfg

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

# (nl) Prefer the file from colorsvn as it is more up to date
# and this fix a conflict between kde-dev-scripts and colorsvn
rm -f %{buildroot}%{_kde5_bindir}/colorsvn

# Delete localized man pages to avoid conflicts with kde-l10n packages
rm -rf %{buildroot}%{_kde5_mandir}/*/man1/

%changelog

* Tue Mar 20 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.12.3-1
- (43dbe6b) Don't package localized man pages to avoid conflicts with kde-l10n packages


